path = "/home/sanj/c/ifa/tmp/FILMS.txt"
csv_path = "/home/sanj/c/ifa/tmp/Films.sorted.csv"
from models import *
import csv

def do(path=path):
    errors = open("errors.txt", "w")
    for line in open(path):
        txt = line.strip()
        if txt.find(" see ") != -1:
            alias, film_name = txt.split(" see ")
            fsm = FilmSeeMap(alias=alias, film_name=film_name)
            fsm.save()
        else:
            split = txt.replace("(", ",").replace(")", "").split(",")
            if len(split) != 4:
                errors.write(txt)
                continue
            else:
                title = split[0].strip()
                director = split[1].strip()
                language = split[2].strip()
                year = split[3].strip()
                f = Film(title=title, director=director, language=language, year=year)
                try:
                    f.save()
                except:
                    errors.write(txt)
                print title
    errors.close()

def import_csv(path=csv_path):
    lines = csv.reader(open(path))
    for line in lines:
        d = {
            'title': line[0],
            'year': int(line[1].replace('"', '')[0:4]),
            'director': line[2],
            'producer': line[3],
            'language': line[4]
        }
        f = Film(**d)
        f.save()
        print d['title']        
